% test NRDR

clear all; close all;
fun = @(x,y) x.*y;
x0=0;
T=2;
y0=1;
nk=20;

fun_pr = @(x) exp(x.^2/2);

[x,y] = EulerM(fun,x0,T,y0,nk);
[x2,y2] = RK2M(fun,x0,T,y0,nk);
[x3,y3] = AB2M(fun,x0,T,y0,y2(2),nk);

eE=abs(y(end)-fun_pr(T));
eRK2=abs(y2(end)-fun_pr(T));
eAB2=abs(y3(end)-fun_pr(T));

figure(1);
plot(x,y,'b-*');
hold on;
plot(x2,y2,'g-*');
hold on;
plot(x3,y3,'y-*');
hold on;
fplot(fun_pr,[x0 T]);
