function [x,k] = Newton(fun,dfun,x0,TOL,maxI)

k=0;
x_new=x0;
x_old=inf;

while((abs(x_new-x_old) >= TOL) && (k <= maxI))
    x_old = x_new;
    k= k+1;
    x_new = x_old - fun(x_old)./dfun(x_old);
end
x=x_new;

end